org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface AggregatedValue

- All Superinterfaces:
    ComputationValue, org.eclipse.emf.ecore.EObject, Expression, org.eclipse.emf.common.notify.Notifier, ValueReference
  All Known Implementing Classes:
    AggregatedValueImpl

      public interface AggregatedValue
      extends ComputationValue

  A representation of the model object 'Aggregated Value'.

  The following features are supported:

  - `Aggregator`
  - `Call`
  - `Aggregate Type`
  See Also:
    `PatternLanguagePackage.getAggregatedValue()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.common.types.JvmType` | `getAggregateType()` Returns the value of the 'Aggregate Type' reference.
    `org.eclipse.xtext.common.types.JvmDeclaredType` | `getAggregator()` Returns the value of the 'Aggregator' reference.
    `CallableRelation` | `getCall()` Returns the value of the 'Call' containment reference.
    `void` | `setAggregateType(org.eclipse.xtext.common.types.JvmType value)` Sets the value of the '`Aggregate Type`' reference.
    `void` | `setAggregator(org.eclipse.xtext.common.types.JvmDeclaredType value)` Sets the value of the '`Aggregator`' reference.
    `void` | `setCall(CallableRelation value)` Sets the value of the '`Call`' containment reference.
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getAggregator

          org.eclipse.xtext.common.types.JvmDeclaredType getAggregator()

      Returns the value of the 'Aggregator' reference.

      If the meaning of the 'Aggregator' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Aggregator' reference.
      See Also:
        `setAggregator(JvmDeclaredType)`, `PatternLanguagePackage.getAggregatedValue_Aggregator()`
      Generated:
      Model:

    - #### setAggregator

          void setAggregator(org.eclipse.xtext.common.types.JvmDeclaredType value)

      Sets the value of the '`Aggregator`' reference.
      Parameters:
        `value` - the new value of the 'Aggregator' reference.
      See Also:
        `getAggregator()`
      Generated:

    - #### getCall

          CallableRelation getCall()

      Returns the value of the 'Call' containment reference.

      If the meaning of the 'Call' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Call' containment reference.
      See Also:
        `setCall(CallableRelation)`, `PatternLanguagePackage.getAggregatedValue_Call()`
      Generated:
      Model:
        containment="true"

    - #### setCall

          void setCall(CallableRelation value)

      Sets the value of the '`Call`' containment reference.
      Parameters:
        `value` - the new value of the 'Call' containment reference.
      See Also:
        `getCall()`
      Generated:

    - #### getAggregateType

          org.eclipse.xtext.common.types.JvmType getAggregateType()

      Returns the value of the 'Aggregate Type' reference.

      This feature contains the aggregate parameter type inferred for this aggregator.

      Returns:
        the value of the 'Aggregate Type' reference.
      See Also:
        `setAggregateType(JvmType)`, `PatternLanguagePackage.getAggregatedValue_AggregateType()`
      Generated:
      Model:
        transient="true" derived="true"

    - #### setAggregateType

          void setAggregateType(org.eclipse.xtext.common.types.JvmType value)

      Sets the value of the '`Aggregate Type`' reference.
      Parameters:
        `value` - the new value of the 'Aggregate Type' reference.
      See Also:
        `getAggregateType()`
      Generated:

    - #### toString

          java.lang.String toString()

      Specified by:
        `toString` in interface `ComputationValue`
      Specified by:
        `toString` in interface `Expression`
      Specified by:
        `toString` in interface `ValueReference`
      Overrides:
        `toString` in class `java.lang.Object`
      Generated:
      Model:
        annotation="http://www.eclipse.org/emf/2002/GenModel body='return org.eclipse.viatra.query.patternlanguage.emf.util.ASTStringProvider.INSTANCE.doSwitch(this);'"